aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 10:04:59 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 10:04:59 +0000
commit76fbd8b147342cf691629a38a9321817115f93db (patch)
treef83af5e298df25bb558fad2064bff2964f2ea09f
parent7af3b9486386653cf9136d0757246095aef9366d (diff)
downloadaports-76fbd8b147342cf691629a38a9321817115f93db.tar.gz
aports-76fbd8b147342cf691629a38a9321817115f93db.tar.bz2
aports-76fbd8b147342cf691629a38a9321817115f93db.tar.xz
community/qpage: moved from testing
-rw-r--r--community/qpage/APKBUILD49
-rw-r--r--community/qpage/config.input (renamed from testing/qpage/config.input)0
-rw-r--r--community/qpage/qpage.initd (renamed from testing/qpage/qpage.initd)2
-rw-r--r--community/qpage/qpage.patch (renamed from testing/qpage/qpage.patch)0
-rw-r--r--community/qpage/qpage.post-install (renamed from testing/qpage/qpage.post-install)0
-rw-r--r--community/qpage/qpage.pre-install (renamed from testing/qpage/qpage.pre-install)0
-rw-r--r--testing/qpage/APKBUILD47
7 files changed, 50 insertions, 48 deletions
diff --git a/community/qpage/APKBUILD b/community/qpage/APKBUILD
new file mode 100644
index 0000000000..b54dadabc2
--- /dev/null
+++ b/community/qpage/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=qpage
+pkgver=3.3
+pkgrel=2
+pkgdesc="Sends messages to an alphanumeric pager via TAP protocol."
+url="http://www.qpage.org/"
+arch="all"
+license="Custom"
+depends=""
+makedepends=""
+install="$pkgname.pre-install $pkgname.post-install"
+source="$pkgname-$pkgver.tar.gz::http://archive.debian.org/debian/pool/non-free/q/$pkgname/${pkgname}_3.3final.orig.tar.gz
+ config.input
+ qpage.initd
+ qpage.patch"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ cp -f "$srcdir"/config.input "$builddir" || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+ make || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"/usr/bin
+ mkdir -p "$pkgdir"/etc/qpage
+ install -m755 "$builddir"/$pkgname "$pkgdir"/usr/bin/"$pkgname"
+ install -m644 -D "$builddir"/example.cf "$pkgdir"/etc/qpage/qpage.conf.example
+ install -m644 -D "$builddir"/LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+}
+
+md5sums="eb98faaa51f89db68ecf7668f5294309 qpage-3.3.tar.gz
+3ac8c6e2aede9e195eba2555eb3b4645 config.input
+c5a72422e9e68febe8b22372616eeb2b qpage.initd
+e8a4a6926973c940fe34dc6c4e892606 qpage.patch"
+sha256sums="d9f5829f5e9ab815c93708c2c7e989ae9df8776b34a28050ee016f004f154ac6 qpage-3.3.tar.gz
+57c604f2d6f0d4e41190f691a087876b7f35e40d849ad5d7ee913317ffbdcb9c config.input
+6ba43dfef4f97a44e2ca372dad1ff6173dc5fd14714e68450b2036de3f0649dc qpage.initd
+841bd3b9ea468ba8f678d45e26a6f1557d1d3e157f927c6584305fa3dab88dce qpage.patch"
+sha512sums="a100e531aaf3a1c04af5f32d4df5a47b2fd454e5b4d46fcb6dc9730f43e731044f26c7cf0a72165d2c26033e385a2ed06c4c846f822982548e3fa83921c61fef qpage-3.3.tar.gz
+82772a1dcac5617c7a9ffde4ffe174c4e2d078ff644c873ccc39ac09ced23519f70ef79bf0ad9c69e1ae6c70dee2f57cb0e322f3f102e9849fc501737273856d config.input
+14c7af4b794b763e761b42eaa7447e00bf7a503cb640c07ffef41ff830c65c73ccee02f4c56405ce6a939b722ff83262ba34852695d785f085334385d6ad2819 qpage.initd
+dbfbbdf7a1d9035a0906a2e2c70be3090ef60dd1a55622588d6a0cdd3b0bc565553857f3dbad6ec7774dc6240c5fdd061ed8269dd39e32df7758e21b8375963c qpage.patch"
diff --git a/testing/qpage/config.input b/community/qpage/config.input
index e133cb36a7..e133cb36a7 100644
--- a/testing/qpage/config.input
+++ b/community/qpage/config.input
diff --git a/testing/qpage/qpage.initd b/community/qpage/qpage.initd
index 6d5528766a..d2c228addc 100644
--- a/testing/qpage/qpage.initd
+++ b/community/qpage/qpage.initd
@@ -1,4 +1,4 @@
-#!/sbin/runscript
+#!/sbin/openrc-run
#
# Startup for QuickPage
#
diff --git a/testing/qpage/qpage.patch b/community/qpage/qpage.patch
index d998942d50..d998942d50 100644
--- a/testing/qpage/qpage.patch
+++ b/community/qpage/qpage.patch
diff --git a/testing/qpage/qpage.post-install b/community/qpage/qpage.post-install
index 53de3edbf5..53de3edbf5 100644
--- a/testing/qpage/qpage.post-install
+++ b/community/qpage/qpage.post-install
diff --git a/testing/qpage/qpage.pre-install b/community/qpage/qpage.pre-install
index c73b800dbd..c73b800dbd 100644
--- a/testing/qpage/qpage.pre-install
+++ b/community/qpage/qpage.pre-install
diff --git a/testing/qpage/APKBUILD b/testing/qpage/APKBUILD
deleted file mode 100644
index 96e0b12249..0000000000
--- a/testing/qpage/APKBUILD
+++ /dev/null
@@ -1,47 +0,0 @@
-# Contributor: Francesco Colista <francesco.colista@gmail.com>
-# Maintainer: Francesco Colista <francesco.colista@gmail.com>
-pkgname=qpage
-pkgver=3.3
-pkgrel=2
-pkgdesc="Sends messages to an alphanumeric pager via TAP protocol."
-url="http://www.qpage.org/"
-arch="all"
-license="Custom"
-depends=""
-depends_dev=
-makedepends="$depends_dev"
-install="$pkgname.pre-install $pkgname.post-install"
-source="$pkgname-$pkgver.tar.gz::http://archive.debian.org/debian/pool/non-free/q/$pkgname/"$pkgname"_3.3final.orig.tar.gz
- config.input
- qpage.initd
- qpage.patch
- "
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-build() {
- cd "$_builddir"
- cp -f "$srcdir"/config.input "$_builddir" || return 1
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var
- make || return 1
-}
-package() {
- mkdir -p "$pkgdir"/usr/bin
- mkdir -p "$pkgdir"/etc/qpage
- install -m755 "$_builddir"/$pkgname "$pkgdir"/usr/bin/"$pkgname"
- install -m644 -D "$_builddir"/example.cf "$pkgdir"/etc/qpage/qpage.conf.example
- install -m644 -D "$_builddir"/LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
- install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-}
-md5sums="eb98faaa51f89db68ecf7668f5294309 qpage-3.3.tar.gz
-3ac8c6e2aede9e195eba2555eb3b4645 config.input
-f439315da04ebdd1e1cc2840171d45d3 qpage.initd
-e8a4a6926973c940fe34dc6c4e892606 qpage.patch"